Upload image
Uploads an image by either URL or file. If both a URL and file are provided, the URL will be used over the file. A URL can be provided without a file, and vice versa. Deprecated: use POST /api/v2/{team_slug}/{app_slug}/dam/images instead.
/api/v1/{team_slug}/{app_slug}/imagesdeprecatedAuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
connect_to_skubooleanTry to connect the image to a product or variant using the filename. If filename matches an existing product or variant do we connect it. Priority can be set via a numeric suffix (sku_3) or an uppercase letter suffix A-Z (sku_A, where A=1 through Z=26). If the format don't match sku_priority (e.g sku.jpeg) do we fallback to priority 10
connect_to_slugbooleanTry to connect the image to a product usign the filename. If filename matches an existing product do we connect it. Priority can be set via a numeric suffix (slug_3) or an uppercase letter suffix A-Z (slug_A, where A=1 through Z=26). If the format don't match slug_priority (e.g slug.jpeg) do we fallback to priority 10
connect_to_variant_groupbooleanTry to connect the image to a variant group using the filename. Format: productNumber_variantGroupSlug[_priority].extension where priority is numeric or uppercase A-Z (A=1 through Z=26). Example: 2512301_102.jpg links product 2512301 variant group slug 102.
application/x-www-form-urlencodedtitlestringImage title
altstringAlternative image text
copyrightstringImage copyright text
imageanyImage file to upload
urlstringUrl to source file. Url will be used if provided over file
filenamestringCustom filename (without extension)
overwritebooleanOverwrite the existing image with the same filename instead of creating a new one. Requires filename
blurhashstringOptional precomputed blurhash. If provided, generation is skipped
parent_idstringParent image ID
Image uploaded successfully
datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.ImageWithUsedByrequiredShow propertiesHide properties
altstring | nullapp_idstring | nullattributesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute[] | nullShow propertiesHide properties
github_com_enadhq_nabbit_internal_pkg_webserver_models.Attributecreated_atstringdescriptionstring | nullfilterableboolean | nullidstringkeystringnamestring | nulltemplate_keystringtemplate_namestringtranslatableboolean | nulltranslationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTranslationsShow propertiesHide properties
descriptiongithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]namegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]updated_atstring | nullvaluesobject | nullblurhashstringcopyrightstring | nullcustomobject | nullfolder_idstringidstringparent_idstring | nullpublicbooleanstatusstringtitlestring | nulltranslationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ImageTranslationShow propertiesHide properties
altgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | nullShow propertiesHide properties
github_com_enadhq_nabbit_internal_pkg_webserver_models.Translationidstringlocalestringvaluestringcopyrightgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | nulltitlegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | nullurlstringused_bygithub_com_enadhq_nabbit_internal_pkg_webserver_models.AssetConsumer[] | nullShow propertiesHide properties
github_com_enadhq_nabbit_internal_pkg_webserver_models.AssetConsumercreated_atstringidstringnamestringpriorityintegerslugstringtypegithub_com_enadhq_nabbit_internal_pkg_webserver_models.ImageConsumerTypeproductvariantattributevariant_groupupdated_atstring | nullvariantsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Image[] | nullShow propertiesHide properties
github_com_enadhq_nabbit_internal_pkg_webserver_models.Imagealtstring | nullapp_idstring | nullattributesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute[] | nullblurhashstringcopyrightstring | nullcustomobject | nullfolder_idstringidstringparent_idstring | nullpublicbooleanstatusstringtitlestring | nulltranslationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ImageTranslationurlstringdetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequiredInvalid request
detailsstring[]messagestringsuccessbooleanrequiredUnauthorized access
detailsstring[]messagestringsuccessbooleanrequiredInternal server error
detailsstring[]messagestringsuccessbooleanrequired